# Overview

- Adds a more offensive oriented alternative to Engineer's Bouncing Grenades; Gauss Scatter, a powerful automatic gauss shotgun that excels at close range self defense but lacks AoE, mid-long range capabilities, and has falloff.
- Also adds a more aggressive alternative to Engineer's mines; Plasma Grenades, two powerful, aimable contact grenades that detonate on impact, leaving a large pool of plasma that damages and slows monsters in its AoE! However, you only start out with two, and you give up the capability of setting up powerful traps and fortifying your position more effectively.
- Become Engineer Team Fortress 2! with the help of TF2 Engineer Skin by 12GaugeAwayFromFace https://thunderstore.io/package/12GaugeAwayFromFace/TF2_Engineer_Skin/

Note: Due to the nature of Engineer's playstyle and Hopoo's balancing of the Engineer, we understand that the Gauss Shotgun is always going to be better/a direct upgrade to the Engineer's vanilla Bouncing Grenades. This is by design and 100% intentional, as whilst the grenades are meant to be weaker to balance out the Engineer, they are not fun or engaging to use. Shotguns are required to be reasonably powerful to be fun and engaging to use, so this convention is unfortunately violated, making the Engineer fairly more powerful than he already is.

Recommended to be used with Moffein's MobileTurretBuff (https://thunderstore.io/package/Moffein/MobileTurretBuff/) and Chen's ChensMinionRetarget (https://thunderstore.io/package/Chen/ChensMinionRetarget/) to aid in making a more effective, engaging Combat Engineer playstyle.

## REDUX Credits
-macawesone - Rewriting the code so it works.
-Pipman3000 - Help leaning how to decompile the orinal mod's dll.
-Dgosling - Assistance fixing issues with a null error.
-Joseph - Assistance fixing issues with a null error.
-TheTimesweeper - helped me fix the last bug with the fire rate if it wheren't for him I probably would have given up.

## Original Credits
-valerie ♥ - coding, icons
-Ruxbieno - coding
-Rob - based motherfucker who gave advice and helped
-TheTimesweeper - based motherfucker who gave advice and helped
-Moffein - based motherfucker who gave advice and helped

## Skills

| Skill | | Description | Stats |
|:-|-|------|-|
| Gauss Scatter | ![](https://cdn.discordapp.com/attachments/793722172497068082/827540854280683523/itriedtomakeashotgun.png) | Fire a close-range blast of pellets, dealing `8x60%` damage. From a total of `8` rounds recharging at a rate of `1` round every `0.75` seconds | Proc: `0.45` CD: `0` |
| Plasma Grenade | ![](https://cdn.discordapp.com/attachments/821486358304391210/828128463797878804/grenade1.png) | Take aim and throw a grenade that deals `600%` damage on impact and leaves a lasting pool of plasma that deals `30% damage per tick` and `slows.` Can hold up to 2. | Proc: `1 / 0.15` CD: `8` |

## Contact Me

If you find a bug or if this mod breaks again contact me through my discord macawesone#5670

##Change log

`1.0.2`
- Fixed Missing sound on shotgun fire.
- Increased ammo to 8
- Made ammo recharging affected by attackspeed
- Assets are no longer kept in the dll

`1.0.1`
- Added limited ammo
- Fixed bug causing shotgun to only fire from one side now it fires from both.

`1.0.0`
- REDUX Released